commit:     a4962af46bde638375be308ae944688b7536c4c3
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 11 08:22:48 2018 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Wed Apr 11 08:22:48 2018 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=a4962af4

app-emacs/slime: Restores build of info file

 app-emacs/slime/slime-2.20.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/app-emacs/slime/slime-2.20.ebuild 
b/app-emacs/slime/slime-2.20.ebuild
index 73d436c1..d03c14d9 100644
--- a/app-emacs/slime/slime-2.20.ebuild
+++ b/app-emacs/slime/slime-2.20.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/slime/slime/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
 
 LICENSE="GPL-2 xref? ( xref.lisp )"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ~sparc ~x86"
 IUSE="doc xref"
 RESTRICT=test # tests fail to contact sbcl
 
@@ -41,6 +41,7 @@ src_compile() {
        BYTECOMPFLAGS="${BYTECOMPFLAGS} -L contrib -l slime" \
                elisp-compile contrib/*.el lib/*.el || die
 
+       emake -C doc slime.info || die
        if use doc ; then
                VARTEXFONTS="${T}"/fonts \
                        emake -C doc all

Reply via email to